boredcl : dialog {
  label = "BORE.LSP Setup";
  :row {
    :column {
      :boxed_column {
        label = "First Unit";
        :row {
          :popup_list {
            key = "units1";
            label = "Units: ";
            width = 23;
            mnemonic = "U";
          }
          :spacer {
            width = 1;
          }
          :toggle {
            label = "Commas";
            key = "comma1";
            mnemonic = "o";
          }
        }
        :row {
          :popup_list {
            label = "Place: ";
            key= "place1";
            mnemonic = "P";
          }
          :edit_box {
            label = "Factor:";
            key= "factor1";
            mnemonic = "F";
          }
        }
        :row {
          :edit_box {
            label = "Prefix:";
            key = "bracket1a";
            mnemonic = "e";
          }
          :spacer {
            width = 1;
          }
          :edit_box {
            label = "Suffix:";
            key = "bracket1b";
            mnemonic = "x";
          }
        }
      }
      :boxed_column {
        label = "Second Unit";
        :row {
          :popup_list {
            key = "units2";
            label = "Units: ";
            width = 23;
            mnemonic = "U";
          }
          :spacer {
            width = 1;
          }
          :toggle {
            label = "Commas";
            key = "comma2";
            mnemonic = "o";
          }
        }
        :row {
          :popup_list {
            label = "Place: ";
            key= "place2";
            mnemonic = "P";
          }
          :edit_box {
            label = "Factor:";
            key= "factor2";
            mnemonic = "F";
          }
        }
        :row {
          :edit_box {
            label = "Prefix:";
            key = "bracket2a";
            mnemonic = "e";
          }
          :spacer {
            width = 1;
          }
          :edit_box {
            label = "Suffix:";
            key = "bracket2b";
            mnemonic = "x";
          }
        }
      }
    }
    :column {
      :boxed_column {
        label = "General Options";
        :row {
          :popup_list {
            key = "layer";
            label = "Layer:  ";
            mnemonic = "a";
          }
          :image {
            key = "layer_color";
            height = 1.5;
            width = 1;
            fixed_width=true;
          }
        }
        :popup_list {
          key = "style";
          label = "Style:  ";
          mnemonic = "t";
        }
        :edit_box {
          label = "Height: ";
          key = "txtht";
          mnemonic = "g";
        }
        :popup_list {
          key = "justify";
          label = "Justify:";
          mnemonic = "J";
        }
      }
      :button {
          key = "datums";
          label = "Datums...";
          mnemonic = "D";
      }
      :button {
        key = "charts";
        label = "Charts...";
        mnemonic = "C";
      }
      :button {
        key = "load";
        label = "Load Settings...";
        mnemonic = "L";
      }
      :button {
        key = "save";
        label = "Save Settings...";
        mnemonic = "S";
      }
    }
  }
  ok_cancel_help_info;
  :text {
    key = "notes";
  }
}


datums : dialog {
  label = "Datum Setup";
  :column {
    :row {
      :boxed_column {
        width = 19;
        label = "Horizontal Datum";
        :radio_row {
          key = "hdatum";
          :radio_button {
            key = "hx";
            label = "X";
          }
          :radio_button {
            key = "hy";
            label = "Y";
          }
          :radio_button {
            key = "hz";
            label = "Z";
          }
        }
        :text {
          value = "Positive Direction";
        }
        :radio_row {
          key = "hdirec";
          :radio_button {
            key = "right";
            label = "East";
            mnemonic = "E";
          }
          :radio_button {
            key = "left";
            label = "West";
            mnemonic = "W";
          }
        }
      }
      :boxed_column {
        label = "Vertical Datum";
        width = 19;
        :radio_row {
          key = "vdatum";
          :radio_button {
            key = "vx";
            label = "X";
          }
          :radio_button {
            key = "vy";
            label = "Y";
          }
          :radio_button {
            key = "vz";
            label = "Z";
          }
        }
        :text {
          value = "Positive Direction";
        }
        :radio_row {
          key = "vdirec";
          :radio_button {
            key = "up";
            label = "North";
            mnemonic = "N";
          }
          :radio_button {
            key = "down";
            label = "South";
            mnemonic = "S";
          }
        }
      }
    }
    :row {
      :boxed_column {
        width = 19;
        label = "Datum 'Z'";
        :radio_column {
          key = "tdatum";
          :radio_button {
            key = "omit";
            label = "Omit Datum";
            mnemonic = "O";
          }
          :radio_button {
            key = "use";
            label = "Use Zeros";
            mnemonic = "Z";
          }
          :radio_button {
            key = "dash";
            label = "Use Dashes";
            mnemonic = "D";
          }
          :radio_button {
            key = "prompt";
            label = "Prompt for Value";
            mnemonic = "V";
          }
        }
      }
      :boxed_column {
        width = 19;
        label = "Origin";
        :button {
          key = "origin";
          fixed_width = true;
          label = "Pick <";
          mnemonic = "P";
        }
        :edit_box {
          key = "x";
          label = "X:";
        }
        :edit_box {
          key = "y";
          label = "Y:";
        }
        :edit_box {
          key = "z";
          label = "Z:";
        }
      }
    }
  }
  ok_cancel_help;
}


charts : dialog {
  label = "Chart Setup";
  :column {
    :row {
      :column {
        :boxed_radio_column {
          label = "Chart Type";
          key = "dcharts";
          :radio_button {
            key = "schart";
            label = "Single Units";
            mnemonic = "S";
          }
          :radio_button {
            key = "dunits";
            label = "Dual Units";
            mnemonic = "D";
          }
          :radio_button {
            key = "dchart";
            label = "Dual Charts";
            mnemonic = "u";
          }
        }
        :spacer {
          width = 1;
        }
        :toggle {
          key = "clines";
          label = "Draw Lines";
          mnemonic = "L";
        }
        :toggle {
          key = "verify";
          label = "Verify Data";
          mnemonic = "V";
        }
        :toggle {
          key = "name";
          label = "Hole Names";
          mnemonic = "N";
        }
      }
      :boxed_column {
        label = "Breaks";
        :row {
          :column {
            :text {
              value = "Ref. Point";
              width = 11;
            }
            :button {
              key = "refpt1";
              label = "Break #1 <";
              mnemonic = "1";
            }
            :button {
              key = "refpt2";
              label = "Break #2 <";
              mnemonic = "2";
            }
            :button {
              key = "refpt3";
              label = "Break #3 <";
              mnemonic = "3";
            }
            :button {
              key = "refpt4";
              label = "Break #4 <";
              mnemonic = "4";
            }
          }
          :column {
            :text {
              value = "Line No.";
              width = 8;
            }
            :edit_box {
              key = "break1";
            }
            :edit_box {
              key = "break2";
            }
            :edit_box {
              key = "break3";
            }
            :edit_box {
              key = "break4";
            }
          }
        }
      }
      
    }
    :row {
    :column {
      :button {
        key = "csetup";
        label = "Define Chart <";
        mnemonic = "C";
        fixed_width = true;
      }
    }
    :column {
      :edit_box {
        key = "scale";
        label = "Scale:";
        mnemonic = "a";
      }
    }
    }
  }
  ok_cancel_help_errtile;
}
